Kmymoney won't install from ppa

Questions about applications and software
Forum rules
Before you post please read this

Kmymoney won't install from ppa

Postby Saskie on Tue Oct 30, 2012 1:18 pm

Hi! Just upgraded to LinuxMint 13 from LM7 & found that Kmymoney is not in the software repositories. Tried to build Kmymoney-4.6.3 from the tar.bz2 but it needs cmake (not installed) and the compiler that cmake wants is either not installed or it can't find it. So decided to try the ppa route. Added claydoh/ppa to the repository list. Kmymoney is there now, but when clicked, it sits there spinning its wheels indefinitely. Suggestions? I'm on a Dell Inspiron with an Intel core2 quad cpu 2.33 GHz. I've used Linux for a couple years, but really don't UNDERSTAND it! So an answer in newbie-speak would be appreciated! Thanks!

PS: Just discovered that the same thing happens (nothing!!) when trying to install anything from the Software Manager!
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Linux Mint is funded by ads and donations.
 

Re: Kmymoney won't install from ppa

Postby lahirdenganselamat on Wed Oct 31, 2012 5:27 am

Wont install or wont run??? I think people on the forum will have better view if you can provide us with error log.. try install from terminal and post here the error, or run it from terminal and post the error
ASUS 1215B AMD E-350 with Linux Mint 15 KDE, Precise Puppy, and Saluki
User avatar
lahirdenganselamat
Level 4
Level 4
 
Posts: 436
Joined: Mon Oct 17, 2011 10:30 pm
Location: Yogyakarta

Re: Kmymoney won't install from ppa

Postby Saskie on Wed Oct 31, 2012 8:21 am

Thanks for the reply. Here's the result when trying to install from terminal. I have no idea how to correct 'unmet dependencies'! I presume this is why it won't install from the Software Manger either?

gord@gord-Inspiron-545 ~ $ sudo apt-get install kmymoney
[sudo] password for gord:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
kmymoney : Depends: libalkimia4 but it is not installable
Depends: libaqbanking33 (>= 4.99.2) but it is not installable
Depends: libgwengui-qt4-0 but it is not installable
Depends: libgwenhywfar60 (>= 3.11.6) but it is not installable
Depends: libofx4 but it is not installable
Recommends: gpg-agent but it is not installable
E: Unable to correct problems, you have held broken packages.
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Re: Kmymoney won't install from ppa

Postby lahirdenganselamat on Wed Oct 31, 2012 6:54 pm

Well, I dont know.. it may caused by the ubuntu/mint/ppa repo not being updated, or else, it have something to do with apt-pinning..
have you try this ?
ASUS 1215B AMD E-350 with Linux Mint 15 KDE, Precise Puppy, and Saluki
User avatar
lahirdenganselamat
Level 4
Level 4
 
Posts: 436
Joined: Mon Oct 17, 2011 10:30 pm
Location: Yogyakarta

Re: Kmymoney won't install from ppa

Postby zerozero on Wed Oct 31, 2012 7:07 pm

Saskie,
please give us the terminal output of
Code: Select all
inxi -Sr

Code: Select all
apt update && apt upgrade
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Kmymoney won't install from ppa

Postby Saskie on Thu Nov 01, 2012 8:55 am

OK, here's the output:

gord@gord-Inspiron-545 ~ $ inxi -Sr
System: Host: gord-Inspiron-545 Kernel: 3.2.0-23-generic x86_64 (64 bit) Desktop: KDE 4.8.3 Distro: Linux Mint 13 Maya
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream import
deb http://archive.ubuntu.com/ubuntu/ maya main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maya-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maya-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ maya partner
deb http://packages.medibuntu.org/ maya free non-free
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-maya.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-precise.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
And..

gord@gord-Inspiron-545 ~ $ apt update && apt upgrade
[sudo] password for gord:
Ign http://security.ubuntu.com maya-security InRelease
Ign http://ppa.launchpad.net maya InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net maya InRelease
Ign http://archive.canonical.com maya InRelease
Ign http://archive.ubuntu.com maya InRelease
Ign http://archive.ubuntu.com maya-updates InRelease
Ign http://archive.ubuntu.com jaunty-backports InRelease
Ign http://packages.medibuntu.org maya InRelease
Ign http://packages.linuxmint.com maya InRelease
Ign http://security.ubuntu.com maya-security Release.gpg
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net maya Release.gpg
Ign http://archive.canonical.com maya Release.gpg
Ign http://archive.ubuntu.com maya Release.gpg
Ign http://security.ubuntu.com maya-security Release
Get:1 http://packages.linuxmint.com maya Release.gpg [197 B]
Hit http://ppa.launchpad.net precise Release.gpg
Ign http://ppa.launchpad.net maya Release.gpg
Hit http://ppa.launchpad.net precise Release.gpg
Ign http://archive.canonical.com maya Release
Ign http://archive.ubuntu.com maya-updates Release.gpg
Ign http://packages.medibuntu.org maya Release.gpg
Hit http://ppa.launchpad.net precise Release.gpg
Ign http://archive.ubuntu.com jaunty-backports Release.gpg
Get:2 http://packages.linuxmint.com maya Release [17.7 kB]
Ign http://ppa.launchpad.net maya Release
Hit http://ppa.launchpad.net precise Release
Ign http://ppa.launchpad.net maya Release
Ign http://archive.canonical.com maya/partner TranslationIndex
Ign http://archive.ubuntu.com maya Release
Ign http://security.ubuntu.com maya-security/main TranslationIndex
Ign http://security.ubuntu.com maya-security/multiverse TranslationIndex
Ign http://security.ubuntu.com maya-security/restricted TranslationIndex
Hit http://ppa.launchpad.net precise Release
Ign http://archive.ubuntu.com maya-updates Release
Ign http://security.ubuntu.com maya-security/universe TranslationIndex
Ign http://packages.medibuntu.org maya Release
Hit http://ppa.launchpad.net precise Release
Ign http://ppa.launchpad.net maya/main TranslationIndex
Ign http://archive.ubuntu.com jaunty-backports Release
Ign http://ppa.launchpad.net maya/main TranslationIndex
Hit http://ppa.launchpad.net precise/main Sources
Ign http://archive.ubuntu.com maya/main TranslationIndex
Get:3 http://packages.linuxmint.com maya/main amd64 Packages [18.3 kB]
Ign http://archive.ubuntu.com maya/multiverse TranslationIndex
Ign http://archive.ubuntu.com maya/restricted TranslationIndex
Ign http://archive.ubuntu.com maya/universe TranslationIndex
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main amd64 Packages
Ign http://archive.ubuntu.com maya-updates/main TranslationIndex
Ign http://archive.ubuntu.com maya-updates/multiverse TranslationIndex
Ign http://archive.ubuntu.com maya-updates/restricted TranslationIndex
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main amd64 Packages
Ign http://archive.ubuntu.com maya-updates/universe TranslationIndex
Get:4 http://packages.linuxmint.com maya/upstream amd64 Packages [10.6 kB]
Get:5 http://packages.linuxmint.com maya/import amd64 Packages [41.4 kB]
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Ign http://archive.ubuntu.com jaunty-backports/main TranslationIndex
Ign http://archive.ubuntu.com jaunty-backports/multiverse TranslationIndex
Ign http://archive.ubuntu.com jaunty-backports/restricted TranslationIndex
Ign http://archive.ubuntu.com jaunty-backports/universe TranslationIndex
Get:6 http://packages.linuxmint.com maya/main i386 Packages [18.3 kB]
Get:7 http://packages.linuxmint.com maya/upstream i386 Packages [10.6 kB]
Get:8 http://packages.linuxmint.com maya/import i386 Packages [41.7 kB]
Err http://archive.canonical.com maya/partner amd64 Packages
404 Not Found [IP: 91.189.92.191 80]
Ign http://packages.linuxmint.com maya/import TranslationIndex
Ign http://packages.linuxmint.com maya/main TranslationIndex
Ign http://packages.linuxmint.com maya/upstream TranslationIndex
Err http://archive.canonical.com maya/partner i386 Packages
404 Not Found [IP: 91.189.92.191 80]
Err http://security.ubuntu.com maya-security/main amd64 Packages
404 Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com maya-security/restricted amd64 Packages
404 Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com maya-security/universe amd64 Packages
404 Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com maya-security/multiverse amd64 Packages
404 Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com maya-security/main i386 Packages
404 Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com maya-security/restricted i386 Packages
404 Not Found [IP: 91.189.92.184 80]
Ign http://archive.canonical.com maya/partner Translation-en_CA
Ign http://packages.medibuntu.org maya/free TranslationIndex
Err http://security.ubuntu.com maya-security/universe i386 Packages
404 Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com maya-security/multiverse i386 Packages
404 Not Found [IP: 91.189.92.184 80]
Ign http://archive.canonical.com maya/partner Translation-en
Ign http://security.ubuntu.com maya-security/main Translation-en_CA
Ign http://security.ubuntu.com maya-security/main Translation-en
Ign http://packages.medibuntu.org maya/non-free TranslationIndex
Err http://ppa.launchpad.net maya/main Sources
404 Not Found
Ign http://security.ubuntu.com maya-security/multiverse Translation-en_CA
Ign http://security.ubuntu.com maya-security/multiverse Translation-en
Ign http://security.ubuntu.com maya-security/restricted Translation-en_CA
Ign http://security.ubuntu.com maya-security/restricted Translation-en
Ign http://security.ubuntu.com maya-security/universe Translation-en_CA
Err http://ppa.launchpad.net maya/main amd64 Packages
404 Not Found
Err http://ppa.launchpad.net maya/main i386 Packages
404 Not Found
Err http://ppa.launchpad.net maya/main Sources
404 Not Found
Ign http://security.ubuntu.com maya-security/universe Translation-en
Err http://ppa.launchpad.net maya/main amd64 Packages
404 Not Found
Err http://ppa.launchpad.net maya/main i386 Packages
404 Not Found
Ign http://ppa.launchpad.net maya/main Translation-en_CA
Ign http://ppa.launchpad.net maya/main Translation-en
Ign http://ppa.launchpad.net maya/main Translation-en_CA
Ign http://ppa.launchpad.net maya/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://packages.linuxmint.com maya/import Translation-en_CA
Ign http://packages.linuxmint.com maya/import Translation-en
Ign http://packages.linuxmint.com maya/main Translation-en_CA
Ign http://packages.linuxmint.com maya/main Translation-en
Err http://archive.ubuntu.com maya/main amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/restricted amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/universe amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/multiverse amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/main i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/restricted i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/universe i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya/multiverse i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Ign http://packages.linuxmint.com maya/upstream Translation-en_CA
Ign http://packages.linuxmint.com maya/upstream Translation-en
Err http://archive.ubuntu.com maya-updates/main amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/restricted amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/universe amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/multiverse amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/main i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/restricted i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/universe i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com maya-updates/multiverse i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/main amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/restricted amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/universe amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/multiverse amd64 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/main i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/restricted i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/universe i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Err http://archive.ubuntu.com jaunty-backports/multiverse i386 Packages
404 Not Found [IP: 91.189.92.201 80]
Ign http://archive.ubuntu.com maya/main Translation-en_CA
Ign http://archive.ubuntu.com maya/main Translation-en
Ign http://archive.ubuntu.com maya/multiverse Translation-en_CA
Ign http://archive.ubuntu.com maya/multiverse Translation-en
Ign http://archive.ubuntu.com maya/restricted Translation-en_CA
Ign http://archive.ubuntu.com maya/restricted Translation-en
Ign http://archive.ubuntu.com maya/universe Translation-en_CA
Ign http://archive.ubuntu.com maya/universe Translation-en
Ign http://archive.ubuntu.com maya-updates/main Translation-en_CA
Ign http://archive.ubuntu.com maya-updates/main Translation-en
Ign http://archive.ubuntu.com maya-updates/multiverse Translation-en_CA
Ign http://archive.ubuntu.com maya-updates/multiverse Translation-en
Ign http://archive.ubuntu.com maya-updates/restricted Translation-en_CA
Ign http://archive.ubuntu.com maya-updates/restricted Translation-en
Ign http://archive.ubuntu.com maya-updates/universe Translation-en_CA
Ign http://archive.ubuntu.com maya-updates/universe Translation-en
Ign http://archive.ubuntu.com jaunty-backports/main Translation-en_CA
Ign http://archive.ubuntu.com jaunty-backports/main Translation-en
Ign http://archive.ubuntu.com jaunty-backports/multiverse Translation-en_CA
Ign http://archive.ubuntu.com jaunty-backports/multiverse Translation-en
Ign http://archive.ubuntu.com jaunty-backports/restricted Translation-en_CA
Ign http://archive.ubuntu.com jaunty-backports/restricted Translation-en
Ign http://archive.ubuntu.com jaunty-backports/universe Translation-en_CA
Ign http://archive.ubuntu.com jaunty-backports/universe Translation-en
Err http://packages.medibuntu.org maya/free amd64 Packages
404 Not Found
Err http://packages.medibuntu.org maya/non-free amd64 Packages
404 Not Found
Err http://packages.medibuntu.org maya/free i386 Packages
404 Not Found
Err http://packages.medibuntu.org maya/non-free i386 Packages
404 Not Found
Ign http://packages.medibuntu.org maya/free Translation-en_CA
Ign http://packages.medibuntu.org maya/free Translation-en
Ign http://packages.medibuntu.org maya/non-free Translation-en_CA
Ign http://packages.medibuntu.org maya/non-free Translation-en
Fetched 159 kB in 12s (12.7 kB/s)
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 4/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 4/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 4/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 4/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 6/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 6/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 6/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... 6/Packages 404 Not Found [IP: 91.189.92.184 80]

W: Failed to fetch http://archive.canonical.com/ubuntu/dis ... 4/Packages 404 Not Found [IP: 91.189.92.191 80]

W: Failed to fetch http://archive.canonical.com/ubuntu/dis ... 6/Packages 404 Not Found [IP: 91.189.92.191 80]

W: Failed to fetch http://ppa.launchpad.net/claydoh/kmymon ... ce/Sources 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/kmymon ... 4/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/kmymon ... 6/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ub ... ce/Sources 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ub ... 4/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ub ... 6/Packages 404 Not Found

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://packages.medibuntu.org/dists/may ... 4/Packages 404 Not Found

W: Failed to fetch http://packages.medibuntu.org/dists/may ... 4/Packages 404 Not Found

W: Failed to fetch http://packages.medibuntu.org/dists/may ... 6/Packages 404 Not Found

W: Failed to fetch http://packages.medibuntu.org/dists/may ... 6/Packages 404 Not Found

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 4/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 91.189.92.201 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
faenza-icons-kde mint-configuration-kde mint-meta-kde
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 65.9 MB of archives.
After this operation, 410 kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://packages.linuxmint.com/ maya/main faenza-icons-kde all 1.0.1 [65.3 MB]
Get:2 http://packages.linuxmint.com/ maya/main mint-configuration-kde all 5.0.9 [622 kB]
Get:3 http://packages.linuxmint.com/ maya/main mint-meta-kde all 12.0.5 [4,240 B]
Fetched 65.9 MB in 6min 0s (183 kB/s)
(Reading database ... 127586 files and directories currently installed.)
Preparing to replace faenza-icons-kde 1.0.1 (using .../faenza-icons-kde_1.0.1_all.deb) ...
Unpacking replacement faenza-icons-kde ...
Preparing to replace mint-configuration-kde 5.0.9 (using .../mint-configuration-kde_5.0.9_all.deb) ...
Unpacking replacement mint-configuration-kde ...
Preparing to replace mint-meta-kde 12.0.5 (using .../mint-meta-kde_12.0.5_all.deb) ...
Unpacking replacement mint-meta-kde ...
Processing triggers for mintsystem ...
Setting up faenza-icons-kde (1.0.1) ...
Setting up mint-configuration-kde (5.0.9) ...
System start/stop links for /etc/init.d/mintsystem already exist.
Setting up mint-meta-kde (12.0.5) ...
W: Duplicate sources.list entry http://packages.linuxmint.com/ maya/main amd64 Packages (/var/lib/apt/lists/packages.linuxmint.com_dists_maya_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://packages.linuxmint.com/ maya/upstream amd64 Packages (/var/lib/apt/lists/packages.linuxmint.com_dists_maya_upstream_binary-amd64_Packages)
W: Duplicate sources.list entry http://packages.linuxmint.com/ maya/import amd64 Packages (/var/lib/apt/lists/packages.linuxmint.com_dists_maya_import_binary-amd64_Packages)
W: Duplicate sources.list entry http://packages.linuxmint.com/ maya/main i386 Packages (/var/lib/apt/lists/packages.linuxmint.com_dists_maya_main_binary-i386_Packages)
W: Duplicate sources.list entry http://packages.linuxmint.com/ maya/upstream i386 Packages (/var/lib/apt/lists/packages.linuxmint.com_dists_maya_upstream_binary-i386_Packages)
W: Duplicate sources.list entry http://packages.linuxmint.com/ maya/import i386 Packages (/var/lib/apt/lists/packages.linuxmint.com_dists_maya_import_binary-i386_Packages)
W: You may want to run apt-get update to correct these problems

deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-ppa-maya.list
deb http://ppa.launchpad.net/claydoh/ppa/ubuntu maya main
deb-src http://ppa.launchpad.net/claydoh/ppa/ubuntu maya main
Active apt sources in file: /etc/apt/sources.list.d/medibuntu.list
deb http://packages.medibuntu.org/ maya free non-free
Active apt sources in file: /etc/apt/sources.list.d/mint.list
deb http://packages.linuxmint.com/ maya main upstream import
Active apt sources in file: /etc/apt/sources.list.d/pcf-miro-releases-precise.list
deb http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
deb-src http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-precise.list
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu.list
deb http://archive.ubuntu.com/ubuntu/ maya main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maya-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maya-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ maya partner

Now I'll go try the download suggested by lahirdenganselamat.
Appreciate the help!
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Re: Kmymoney won't install from ppa

Postby zerozero on Fri Nov 02, 2012 3:13 pm

Saskie,
i see the problem: you have faulty entries in your sources.list
as the previous output is somehow confusing, can you please provide
Code: Select all
inxi -r
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Kmymoney won't install from ppa

Postby Saskie on Fri Nov 02, 2012 7:04 pm

I'm glad someone can make sense of that output! Here's the next lot:

gord@gord-Inspiron-545 ~ $ inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream
deb http://archive.ubuntu.com/ubuntu/ maya main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maya-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maya-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multivers
deb http://archive.canonical.com/ubuntu/ maya partner
deb http://packages.medibuntu.org/ maya free non-free
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-maya.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-precise.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-ppa-maya.list
deb http://ppa.launchpad.net/claydoh/ppa/ubuntu maya main
deb-src http://ppa.launchpad.net/claydoh/ppa/ubuntu maya main
Active apt sources in file: /etc/apt/sources.list.d/medibuntu.list
deb http://packages.medibuntu.org/ maya free non-free
Active apt sources in file: /etc/apt/sources.list.d/mint.list
deb http://packages.linuxmint.com/ maya main upstream import
Active apt sources in file: /etc/apt/sources.list.d/pcf-miro-releases-precise.list
deb http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
deb-src http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-precise.list
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu.list
deb http://archive.ubuntu.com/ubuntu/ maya main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maya-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maya-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ maya partner


Tried the install suggested by lahirdenganselamat with no luck either. Seems like I'm missing something here.... Continued thanks for your help!
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Re: Kmymoney won't install from ppa

Postby zerozero on Fri Nov 02, 2012 8:06 pm

this is going to give you some work :lol:

- navigate to /etc/apt/ you will see there one sources.list and several sources.list/XXXX
- right-click on each one > root action
  • 1- you can (should) delete sources.list.d/claydoh-kmymoney2-kde4-maya.list because sources.list.d/claydoh-kmymoney2-kde4-precise.list it's the same and the last one is the good one.
  • 2- delete also sources.list.d/medibuntu.list sources.list.d/mint.list sources.list.d/ubuntu.list (as you can see the entries in those 3 files are duplicated with sources.list
  • 3- in sources.list delete the jaunty-backports entry (it's for an old ubuntu release- no idea what's doing there)


following the above clean-up, now open as text the remain (input p/w when asked now you can EDIT those files
  • 1- in each one of them look for the entries i'm going to list bellow and replace the word maya (that i have highlighted in red with precise
  • 2- after each EDIT save and close the file you are in
- when done run apt update and give us the output

Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream
deb http://archive.ubuntu.com/ubuntu/ maya main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maya-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maya-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multivers
deb http://archive.canonical.com/ubuntu/ maya partner
deb http://packages.medibuntu.org/ maya free non-free

Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-maya.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main

Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-precise.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main

Active apt sources in file: /etc/apt/sources.list.d/claydoh-ppa-maya.list
deb http://ppa.launchpad.net/claydoh/ppa/ubuntu maya main
deb-src http://ppa.launchpad.net/claydoh/ppa/ubuntu maya main

Active apt sources in file: /etc/apt/sources.list.d/medibuntu.list
deb http://packages.medibuntu.org/ maya free non-free

Active apt sources in file: /etc/apt/sources.list.d/mint.list
deb http://packages.linuxmint.com/ maya main upstream import

Active apt sources in file: /etc/apt/sources.list.d/pcf-miro-releases-precise.list
deb http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
deb-src http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main

Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-precise.list
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main

Active apt sources in file: /etc/apt/sources.list.d/ubuntu.list
deb http://archive.ubuntu.com/ubuntu/ maya main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maya-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maya-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ maya partner

if you have questions/doubts please ask before proceed
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Kmymoney won't install from ppa

Postby Saskie on Sat Nov 03, 2012 9:20 am

Alright. I think I got everything, but there is only one sources.list file and the sources.list.d folder. No sources.list/XXX files. A little confusion on one point - you said to delete sources.list.d/claydoh-kmymoney2-kde4-maya.list, sources.list.d/medibuntu.list sources.list.d/mint.list and sources.list.d/ubuntu.list, but then later on say to edit them? I therefore re-created them by copying from their .save equivalents, and editted those. Apt update output follows:

gord@gord-Inspiron-545 /etc/apt $ apt update
[sudo] password for gord:
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://ppa.launchpad.net precise InRelease
Ign http://archive.ubuntu.com precise InRelease
Ign http://archive.ubuntu.com precise-updates InRelease
Ign http://security.ubuntu.com precise-security InRelease
Ign http://archive.canonical.com precise InRelease
Hit http://packages.medibuntu.org precise InRelease
Ign http://packages.linuxmint.com maya InRelease
Ign http://ppa.launchpad.net precise InRelease
Hit http://ppa.launchpad.net precise Release.gpg
Hit http://archive.ubuntu.com precise Release.gpg
Get:1 http://security.ubuntu.com precise-security Release.gpg [198 B]
Get:2 http://archive.canonical.com precise Release.gpg [198 B]
Get:3 http://packages.linuxmint.com maya Release.gpg [197 B]
Ign http://ppa.launchpad.net precise Release.gpg
Hit http://ppa.launchpad.net precise Release.gpg
Get:4 http://archive.ubuntu.com precise-updates Release.gpg [198 B]
Get:5 http://security.ubuntu.com precise-security Release [49.6 kB]
Get:6 http://archive.canonical.com precise Release [7,078 B]
Hit http://ppa.launchpad.net precise Release.gpg
Hit http://archive.ubuntu.com precise Release
Hit http://packages.medibuntu.org precise/free amd64 Packages
Get:7 http://packages.linuxmint.com maya Release [17.7 kB]
Hit http://ppa.launchpad.net precise Release
Ign http://ppa.launchpad.net precise Release
Get:8 http://archive.ubuntu.com precise-updates Release [49.6 kB]
Get:9 http://archive.canonical.com precise/partner amd64 Packages [7,406 B]
Hit http://ppa.launchpad.net precise Release
Hit http://packages.medibuntu.org precise/non-free amd64 Packages
Get:10 http://archive.canonical.com precise/partner i386 Packages [5,944 B]
Ign http://archive.canonical.com precise/partner TranslationIndex
Hit http://ppa.launchpad.net precise Release
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ppa.launchpad.net precise/main Sources
Get:11 http://security.ubuntu.com precise-security/main amd64 Packages [180 kB]
Get:12 http://packages.linuxmint.com maya/main amd64 Packages [18.3 kB]
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ppa.launchpad.net precise/main Sources
Hit http://archive.ubuntu.com precise/main amd64 Packages
Hit http://archive.ubuntu.com precise/restricted amd64 Packages
Hit http://archive.ubuntu.com precise/universe amd64 Packages
Hit http://archive.ubuntu.com precise/multiverse amd64 Packages
Hit http://archive.ubuntu.com precise/main i386 Packages
Hit http://archive.ubuntu.com precise/restricted i386 Packages
Hit http://archive.ubuntu.com precise/universe i386 Packages
Hit http://archive.ubuntu.com precise/multiverse i386 Packages
Hit http://archive.ubuntu.com precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/multiverse TranslationIndex
Hit http://packages.medibuntu.org precise/free i386 Packages
Hit http://ppa.launchpad.net precise/main amd64 Packages
Hit http://ppa.launchpad.net precise/main i386 Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://archive.ubuntu.com precise/restricted TranslationIndex
Hit http://archive.ubuntu.com precise/universe TranslationIndex
Get:13 http://archive.ubuntu.com precise-updates/main amd64 Packages [419 kB]
Get:14 http://packages.linuxmint.com maya/upstream amd64 Packages [10.6 kB]
Get:15 http://packages.linuxmint.com maya/import amd64 Packages [41.4 kB]
Hit http://packages.medibuntu.org precise/non-free i386 Packages
Get:16 http://packages.linuxmint.com maya/main i386 Packages [18.3 kB]
Get:17 http://packages.linuxmint.com maya/upstream i386 Packages [10.6 kB]
Ign http://packages.medibuntu.org precise/free TranslationIndex
Get:18 http://packages.linuxmint.com maya/import i386 Packages [41.7 kB]
Err http://ppa.launchpad.net precise/main Sources
404 Not Found
Err http://ppa.launchpad.net precise/main amd64 Packages
404 Not Found
Err http://ppa.launchpad.net precise/main i386 Packages
404 Not Found
Ign http://packages.linuxmint.com maya/import TranslationIndex
Ign http://packages.linuxmint.com maya/main TranslationIndex
Ign http://packages.linuxmint.com maya/upstream TranslationIndex
Get:19 http://security.ubuntu.com precise-security/restricted amd64 Packages [3,969 B]
Get:20 http://security.ubuntu.com precise-security/universe amd64 Packages [48.6 kB]
Get:21 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2,188 B]
Get:22 http://security.ubuntu.com precise-security/main i386 Packages [186 kB]
Ign http://packages.medibuntu.org precise/non-free TranslationIndex
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://archive.canonical.com precise/partner Translation-en_CA
Get:23 http://archive.ubuntu.com precise-updates/restricted amd64 Packages [8,366 B]
Get:24 http://archive.ubuntu.com precise-updates/universe amd64 Packages [150 kB]
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en_CA
Ign http://archive.canonical.com precise/partner Translation-en
Get:25 http://security.ubuntu.com precise-security/restricted i386 Packages [3,968 B]
Get:26 http://security.ubuntu.com precise-security/universe i386 Packages [48.7 kB]
Get:27 http://security.ubuntu.com precise-security/multiverse i386 Packages [2,357 B]
Get:28 http://security.ubuntu.com precise-security/main TranslationIndex [73 B]
Get:29 http://security.ubuntu.com precise-security/multiverse TranslationIndex [71 B]
Get:30 http://security.ubuntu.com precise-security/restricted TranslationIndex [71 B]
Get:31 http://security.ubuntu.com precise-security/universe TranslationIndex [73 B]
Ign http://ppa.launchpad.net precise/main Translation-en
Get:32 http://archive.ubuntu.com precise-updates/multiverse amd64 Packages [8,664 B]
Get:33 http://archive.ubuntu.com precise-updates/main i386 Packages [426 kB]
Get:34 http://security.ubuntu.com precise-security/main Translation-en [88.6 kB]
Get:35 http://archive.ubuntu.com precise-updates/restricted i386 Packages [8,374 B]
Get:36 http://archive.ubuntu.com precise-updates/universe i386 Packages [151 kB]
Get:37 http://archive.ubuntu.com precise-updates/multiverse i386 Packages [9,665 B]
Get:38 http://archive.ubuntu.com precise-updates/main TranslationIndex [3,564 B]
Get:39 http://archive.ubuntu.com precise-updates/multiverse TranslationIndex [2,605 B]
Get:40 http://archive.ubuntu.com precise-updates/restricted TranslationIndex [2,461 B]
Get:41 http://archive.ubuntu.com precise-updates/universe TranslationIndex [2,850 B]
Get:42 http://archive.ubuntu.com precise/main Translation-en_CA [10.4 kB]
Hit http://archive.ubuntu.com precise/main Translation-en
Get:43 http://security.ubuntu.com precise-security/multiverse Translation-en [995 B]
Get:44 http://security.ubuntu.com precise-security/restricted Translation-en [978 B]
Hit http://archive.ubuntu.com precise/multiverse Translation-en
Hit http://archive.ubuntu.com precise/restricted Translation-en
Get:45 http://archive.ubuntu.com precise/universe Translation-en_CA [663 B]
Hit http://archive.ubuntu.com precise/universe Translation-en
Get:46 http://archive.ubuntu.com precise-updates/main Translation-en_CA [10.4 kB]
Get:47 http://archive.ubuntu.com precise-updates/main Translation-en [207 kB]
Get:48 http://security.ubuntu.com precise-security/universe Translation-en [30.3 kB]
Get:49 http://archive.ubuntu.com precise-updates/multiverse Translation-en [5,414 B]
Get:50 http://archive.ubuntu.com precise-updates/restricted Translation-en [2,082 B]
Get:51 http://archive.ubuntu.com precise-updates/universe Translation-en_CA [663 B]
Get:52 http://archive.ubuntu.com precise-updates/universe Translation-en [90.3 kB]
Ign http://packages.linuxmint.com maya/import Translation-en_CA
Ign http://packages.linuxmint.com maya/import Translation-en
Ign http://packages.linuxmint.com maya/main Translation-en_CA
Ign http://packages.linuxmint.com maya/main Translation-en
Ign http://packages.linuxmint.com maya/upstream Translation-en_CA
Ign http://packages.linuxmint.com maya/upstream Translation-en
Ign http://packages.medibuntu.org precise/free Translation-en_CA
Ign http://packages.medibuntu.org precise/free Translation-en
Ign http://packages.medibuntu.org precise/non-free Translation-en_CA
Ign http://packages.medibuntu.org precise/non-free Translation-en
Fetched 2,395 kB in 21s (111 kB/s)
W: Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ub ... ce/Sources 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ub ... 4/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/claydoh/ppa/ub ... 6/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.


And now for the good news! Kmymoney installed, apparently successfully!!!! Haven't done much with it, but it appears to be working. Also, Google Earth now looks like it will install, which it wouldn't previously. And Software Manager has gone from 2000 available packages, to over 60,000 packages!!!

Many, many thanks for your help and patience!
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Re: Kmymoney won't install from ppa

Postby zerozero on Sat Nov 03, 2012 11:34 am

:oops: we are almost there :lol:
and sorry for the confusion before: first plan was to edit all the faulty entries but then i realized that some of them were duplicated (forgot to go back and undo the edit)

you have a 404 error in that output: that means that you added a ppa that has no precise branch available.
if you give us now (after your edits) again the output of inxi -r we can track it down

anyway i'm glad kmymoney installed ok.
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Kmymoney won't install from ppa

Postby Saskie on Sat Nov 03, 2012 11:50 am

Here it is

gord@gord-Inspiron-545 ~ $ inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream im
deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ precise partner
deb http://packages.medibuntu.org/ precise free non-free
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-maya.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-precise.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-ppa-maya.list
deb http://ppa.launchpad.net/claydoh/ppa/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/ppa/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/medibuntu.list
deb http://packages.medibuntu.org/ precise free non-free
Active apt sources in file: /etc/apt/sources.list.d/pcf-miro-releases-precise.list
deb http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
deb-src http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-precise.list
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu.list
deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ precise partner
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Re: Kmymoney won't install from ppa

Postby zerozero on Sat Nov 03, 2012 6:49 pm

Code: Select all
deb http://ppa.launchpad.net/claydoh/ppa/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/ppa/ubuntu precise main

is a malformed url (and also duplicated, so remove it)

then the remaining issue is that you have several duplicated entries (and you only need one)
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream im
deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ precise partner

deb http://packages.medibuntu.org/ precise free non-free
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-maya.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main

Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-precise.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main

Active apt sources in file: /etc/apt/sources.list.d/claydoh-ppa-maya.list
deb http://ppa.launchpad.net/claydoh/ppa/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/ppa/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/medibuntu.list
deb http://packages.medibuntu.org/ precise free non-free
Active apt sources in file: /etc/apt/sources.list.d/pcf-miro-releases-precise.list
deb http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
deb-src http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-precise.list
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu.list
deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ precise partner



NOTE: now somehow the packages.linuxmint is truncated
it has to look like this
Code: Select all
deb http://packages.linuxmint.com/ maya main upstream import
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: Kmymoney won't install from ppa

Postby Saskie on Sun Nov 04, 2012 10:43 am

OK, removed some duplicates. Not sure I got them all, or that I didn't delete something I shouldn't have. Here's the latest output:
gord@gord-Inspiron-545 /etc/apt $ inxi -r

Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ maya main upstream import
deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://packages.medibuntu.org/ precise free non-free
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-maya.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu maya main
Active apt sources in file: /etc/apt/sources.list.d/claydoh-kmymoney2-kde4-precise.list
deb http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
deb-src http://ppa.launchpad.net/claydoh/kmymoney2-kde4/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/medibuntu.list
deb http://packages.medibuntu.org/ precise free non-free
Active apt sources in file: /etc/apt/sources.list.d/mint.list
deb http://packages.linuxmint.com/ maya main upstream import
Active apt sources in file: /etc/apt/sources.list.d/pcf-miro-releases-precise.list
deb http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
deb-src http://ppa.launchpad.net/pcf/miro-releases/ubuntu precise main
Active apt sources in file: /etc/apt/sources.list.d/ubuntu-toolchain-r-test-precise.list
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu precise main
Saskie
Level 1
Level 1
 
Posts: 7
Joined: Mon Oct 29, 2012 7:55 pm

Re: Kmymoney won't install from ppa

Postby chiefjim on Sun Nov 04, 2012 1:44 pm

Saskie wrote:Hi! Just upgraded to LinuxMint 13 from LM7 & found that Kmymoney is not in the software repositories.


Now that I'm reading you have Kmymoney working I'm curious about a couple details. Like your definition of upgrade?

I never upgrade, instead I replace. When I went from 12 to 13 I reformatted root and deleted all the hidden files/folders in home with the exceptions of .mozilla and .thunderbird. Following the install which only took minutes I run updates. Next I go into synaptic for kmymoney, k3b, and a few others. Everything was there. No PPA hassles.

Wondering if my way was in fact the easier option or if an upgrade as you appear to have done it simply had something locally go wrong?
Desktop:
Mint-16 64 bit with Mate
Gigabyte GA-MA785GM-US2H
AMD Athlon II X3 425
CORSAIR 4GB DDR2 800
640GB HDD WD Black 7200rpm

Laptop:
Acer Aspire AS5552-5898
Mint-16 64 bit with Mate
AMD Phenom II Triple-Core N830
4GB Memory DDR3
500GB HDD 5400rpm
chiefjim
Level 4
Level 4
 
Posts: 389
Joined: Sun Jun 07, 2009 7:26 am

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 32 guests